import * as $dara from '@darabonba/typescript';
export declare class UpdateImageEventOperationResponseBodyData extends $dara.Model {
    /**
     * @remarks
     * The ID of the alert handling rule, which is the same as the value of the Id request parameter.
     *
     * @example
     * 67429
     */
    id?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateImageEventOperationResponseBody extends $dara.Model {
    /**
     * @remarks
     * The HTTP status code.
     *
     * @example
     * 200
     */
    code?: string;
    /**
     * @remarks
     * The data returned.
     */
    data?: UpdateImageEventOperationResponseBodyData;
    /**
     * @remarks
     * The returned message.
     *
     * @example
     * successful
     */
    message?: string;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 7532B7EE-7CE7-5F4D-BF04-B12447DD****
     */
    requestId?: string;
    /**
     * @remarks
     * Indicates whether the request was successful. Valid values:
     *
     * *   **true**
     * *   **false**
     *
     * @example
     * true
     */
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
